## org.eclipse.amp.axf.ide.view
Class RunMonitorView

    java.lang.Object
      org.eclipse.amp.axf.core.AbstractLifecycleListener
          org.eclipse.amp.axf.ide.view.MonitorView
              org.eclipse.amp.axf.ide.view.RunMonitorView

All Implemented Interfaces:
  ILifeCycleListener, IStateListener

    public class RunMonitorView

extends MonitorView

The Class RunMonitorView.

Field Summary
`static int` `TIME_BETWEEN_UPDATES`

Fields inherited from class org.eclipse.amp.axf.ide.view.MonitorView
`modelDesc, monitor`

Constructor Summary
`RunMonitorView(org.eclipse.core.runtime.IProgressMonitor monitor)` Instantiates a new run monitor view.

Method Summary
`void` `observeStart(IObservationProvider observed)` Notifies that the model is just starting execution.
`void` `observeStop(IObservationProvider model)` Notifies that the model has stopped execution.
`void` `observeUpdate(IObservationProvider observed)` Notifies that the model has completed one period of execution at the appropriate level of granularity.
`void` `observing(IObservationProvider model)` Notifies that the model is now aware of this observer.
`void` `stateChange(java.lang.Object key, java.lang.Object model)` Notifies that the model has had some kind of state or observation status change.

Methods inherited from class org.eclipse.amp.axf.core.AbstractLifecycleListener
`getListener, getName, observationEnd, observationEnding, observeCreate, observeInitialize, setName, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### TIME_BETWEEN_UPDATES

    public static final int TIME_BETWEEN_UPDATES

See Also:
  Constant Field Values

Constructor Detail

### RunMonitorView

    public RunMonitorView(org.eclipse.core.runtime.IProgressMonitor monitor)

  Instantiates a new run monitor view.

  Parameters:
    `monitor` - the monitor

Method Detail

### observing

    public void observing(IObservationProvider model)

  Description copied from interface: `ILifeCycleListener`
  Notifies that the model is now aware of this observer. Note that models may defer addition of listeners so a listener adding itself to a model should not assume that it has actually been added until this notification has occurred.

  Specified by:
    `observing` in interface `ILifeCycleListener`
  Overrides:
    `observing` in class `MonitorView`
  Parameters:
    `model` -
  See Also:
    `MonitorView.observing(org.eclipse.amp.axf.core.IObservationProvider)`

### stateChange

    public void stateChange(java.lang.Object key,
                            java.lang.Object model)

  Description copied from interface: `IStateListener`
  Notifies that the model has had some kind of state or observation status change.

  Specified by:
    `stateChange` in interface `IStateListener`
  Overrides:
    `stateChange` in class `AbstractLifecycleListener`
  Parameters:
    `key` -
    `model` -
  See Also:
    `AbstractLifecycleListener.stateChange(java.lang.Object, java.lang.Object)`

### observeUpdate

    public void observeUpdate(IObservationProvider observed)

  Description copied from interface: `ILifeCycleListener`
  Notifies that the model has completed one period of execution at the appropriate level of granularity. Currently this is always once every period but that will change when more control of update granularity is introduced.

  Specified by:
    `observeUpdate` in interface `ILifeCycleListener`
  Overrides:
    `observeUpdate` in class `AbstractLifecycleListener`
  Parameters:
    `model` -
  See Also:
    `AbstractLifecycleListener.observeUpdate(org.eclipse.amp.axf.core.IObservationProvider)`

### observeStart

    public void observeStart(IObservationProvider observed)

  Description copied from interface: `ILifeCycleListener`
  Notifies that the model is just starting execution.

  Specified by:
    `observeStart` in interface `ILifeCycleListener`
  Overrides:
    `observeStart` in class `AbstractLifecycleListener`
  Parameters:
    `observed` -
  See Also:
    `AbstractLifecycleListener.observeStart(org.eclipse.amp.axf.core.IObservationProvider)`

### observeStop

    public void observeStop(IObservationProvider model)

  Description copied from interface: `ILifeCycleListener`
  Notifies that the model has stopped execution. This does not imply that the model is dead, simply that it will no longer be executing within the context of the life-cycle. In particular, a model may be re-initialized and re-started.

  Specified by:
    `observeStop` in interface `ILifeCycleListener`
  Overrides:
    `observeStop` in class `AbstractLifecycleListener`
  Parameters:
    `model` -
  See Also:
    `AbstractLifecycleListener.observeStop(org.eclipse.amp.axf.core.IObservationProvider)`